Invite a member to an organization
POST
/auth/v1/memberships/{orgId}/members/inviteInvites the user with the given username to the organization with the specified role.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
orgId*string
Organization ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_auth.inviteMemberBody",
"$ref-value": {
"properties": {
"role": {
"enum": [
"admin",
"member"
],
"type": "string"
},
"username": {
"maxLength": 24,
"minLength": 1,
"type": "string"
}
},
"required": [
"role",
"username"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/authv1.MembershipMutation",
"$ref-value": {
"properties": {
"joined_at": {
"type": "string"
},
"org_id": {
"type": "string"
},
"org_name": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/memberships/string/members/invite" \
-H "Content-Type: application/json" \
-d '{
"role": "admin",
"username": "string"
}'Created
application/json
{
"$ref": "#/components/schemas/authv1.MembershipMutation",
"$ref-value": {
"properties": {
"joined_at": {
"type": "string"
},
"org_id": {
"type": "string"
},
"org_name": {
"type": "string"
},
"role": {
"type": "string"
},
"state": {
"type": "string"
},
"user_id": {
"type": "string"
}
},
"type": "object"
}
}